Skip to main content
`Ctrl`+`K`

# PetscSectionSymRegister

Registers a new section symmetry implementation

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSymRegister(const char sname[], PetscErrorCode (*function)(PetscSectionSym))

Not Collective, No Fortran Support

## Input Parameters

- sname - The name of a new user-defined creation routine

- function - The creation routine itself

## Notes

`PetscSectionSymRegister()` may be called multiple times to add several user-defined vectors

## See Also

PetscSection, `PetscSectionSym`, `PetscSectionSymType`, `PetscSectionSymCreate()`, `PetscSectionSymSetType()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages